Henry

    Henry

    1 year ago
    Hello. I'm upgrading to 0.15.4 and it seems that we're receiving an error message from Alembic when graphql tries to run migrations
    Could not upgrade the database!
    Error: Can't load plugin: sqlalchemy.dialects:postgres
    Kevin Kho

    Kevin Kho

    1 year ago
    Hi @Henry, haven’t seen it before but do you think this what you’re running into ?
    Henry

    Henry

    1 year ago
    hmmm, i'm running the dockerhub image for 0.15.4 tho?
    respository: "prefecthq/server"
        tag: core-0.15.4
    Kevin Kho

    Kevin Kho

    1 year ago
    Ok i’ll have to ask some more team members tomorrow
    Michael Adkins

    Michael Adkins

    1 year ago
    Hey Henry, are you setting any custom environment variables / config or connection urls?
    Henry

    Henry

    1 year ago
    i don't believe so?
    my mistake it looks like this stackoverflow issue was correct
    the
    sqlalchemy.dialects:postgres
    is referenced by the
    postgres://
    URI
    so using
    postgresql:?/
    fixes it
    Michael Adkins

    Michael Adkins

    1 year ago
    Yeah that is my suspicion as well
    We should be setting that correctly in our images though..
    Henry

    Henry

    1 year ago
    mind if i put in a PR to make this a little more headache free?
    also i noticed that the kubernetes pip package wasn't being installed for us in the image
    not sure if something changed?
    Michael Adkins

    Michael Adkins

    1 year ago
    PRs are definitely welcome
    How are you starting your server? Helm? Prefect CLI?
    Henry

    Henry

    1 year ago
    using helm
    we have our stuff living in k8s so we just kick it off with a chart we wrote up
    Michael Adkins

    Michael Adkins

    1 year ago
    Henry

    Henry

    1 year ago
    that's great. i didn't know you guys had a helm chart now. is it more-or-less out of beta?
    we'll def switch over if it's stablized
    Michael Adkins

    Michael Adkins

    1 year ago
    It's pretty stable, I haven't had to touch it in a while.